import axios from './http';

/** 获取天气 **/
export function getWeather(data) {
  return axios({
    url: '/produce/weather/info',
    method: 'post',
    params: data
  })
}

// 登录
export function Login(data) {
  return axios({
    url: '/admin/my/loginMultilevel',
    method: 'post',
    data: data
  })
}

// 牧场列表
export function getFarm(data) {
  return axios({
    url: '/admin/farm/getFarm',
    method: 'get',
    params: data
  })
}

// 选择牧场
export function getFarmId(data) {
  return axios({
    url: 'admin/accountMultilevel/getLastFarmId',
    method: 'get',
    params: data,
  })
}

// 首页生态检测
export function getScreen(data) {
  return axios({
    url: 'produce/room/listLargeScreen',
    method: 'get',
    params: data,
  })
}

export function getEnv(data) {
  return axios({
    url: 'produce/room/getAllRoomEnvironment',
    method: 'get',
    params: data
  })
}

/* 环境查询 */
export function getByRoom(data) {
  return axios({
    url: '/produce/room/listByRoom',
    method: 'post',
    data: data
  })
}

/** 栋舍饮用水 **/
export function getListWater(data) {
  return axios({
    url: '/produce/dayWater/listWater',
    method: 'post',
    data: data
  })
}

/** 根据roomid 拿摄像头 **/
export function getRoomVideo(data) {
  return axios({
    url: '/video/camera/getCameraDetailsByRoomId',
    method: 'get',
    params: data
  })
}

/** 首页生产经营 **/
export function getListLargeScreen(data) {
  return axios({
    url: 'produce/prodWorkPlan/listLargeScreen',
    method: 'get',
    params: data
  })
}

/** 得到video列表 **/
export function getVideoAll(data) {
  return axios({
    url: 'video/cameraArea/lsitAndCamera',
    method: 'get',
    params: data
  })
}
/** 根据id查视频 **/
export function getVideo(data) {
  return axios({
    url: '/video/camera/getCameraDetails',
    method: 'post',
    data: data
  })
}

/** 车辆通行图标**/
export function getCar(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/screen/car/count_car_record',
    method: 'get',
    params: data
  })
}

/** 门禁管理图表 **/
export function getRecord(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/screen/person/count_person_record',
    method: 'get',
    params: data
  })
}

/** 保存video **/
export function saveVideo(data) {
  return axios({
    url: 'admin/accountMultilevel/updateVideoId',
    method: 'get',
    params: data
  })
}

/**  拿到上一次的video **/
export function lastVideo(data) {
  return axios({
    url: 'video/camera/initCamera',
    method: 'get',
    params: data
  })
}

/** 循环拿到video **/
export function romVideo(data) {
  return axios({
    url: 'video/camera/listScreenCamera',
    method: 'get',
    params: data
  })
}

/** 死猪 **/
export function getSizhu(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/screen/sizhu/count_sizhu_record',
    method: 'get',
    params: data
  })
}

/** 车辆通行列表 **/
export function getCarList(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/car/get_car_record',
    method: 'get',
    params: data
  })
}

/** 人脸闸机 **/
export function getPersonList(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/person/get_person_record',
    method: 'post',
    data: data
  })
}

/** 人员管理 - 人脸门禁 - Token */
export function getFaceToken(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/token/getToken',
    method: 'get',
    params: data
  })
}

/** 死猪 **/
export function getSizhuList(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/accident/accident_record_xixiao',
    method: 'post',
    data: data
  })
}

/** 环保  **/
export function getEnvList(data) {
  return axios({
    url: 'env/environ/getLastEnviron',
    method: 'get',
    params: data
  })
}
